---
title: text-shadow
slug: Web/CSS/text-shadow
tags:
  - CSS
  - CSS Property
  - CSS Styles
  - CSS Text Decoration
  - HTML Colors
  - HTML Styles
  - Reference
  - Styles
  - Styling HTML
  - color
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>text-shadow</code></strong> CSS property adds shadows to text. It accepts a comma-separated list of shadows to be applied to the text and any of its <code><a href="/en-US/docs/Web/CSS/text-decoration">decorations</a></code>.</span> Each shadow is described by some combination of X and Y offsets from the element, blur radius, and color.</p>

<div>{{EmbedInteractiveExample("pages/css/text-shadow.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* offset-x | offset-y | blur-radius | color */
text-shadow: 1px 1px 2px black;

/* color | offset-x | offset-y | blur-radius */
text-shadow: #fc0 1px 0 10px;

/* offset-x | offset-y | color */
text-shadow: 5px 5px #558abb;

/* color | offset-x | offset-y */
text-shadow: white 2px 5px;

/* offset-x | offset-y
/* Use defaults for color and blur-radius */
text-shadow: 5px 10px;

/* Global values */
text-shadow: inherit;
text-shadow: initial;
text-shadow: unset;
</pre>

<p>This property is specified as a comma-separated list of shadows.</p>

<p>Each shadow is specified as two or three <code>&lt;length&gt;</code> values, followed optionally by a <code>&lt;color&gt;</code> value. The first two <code>&lt;length&gt;</code> values are the <code>&lt;offset-x&gt;</code> and <code>&lt;offset-y&gt;</code> values. The third, optional, <code>&lt;length&gt;</code> value is the <code>&lt;blur-radius&gt;</code>. The<code>&lt;color&gt;</code> value is the shadow's color.</p>

<p>When more than one shadow is given, shadows are applied front-to-back, with the first-specified shadow on top.</p>

<p>This property applies to both {{cssxref("::first-line")}} and {{cssxref("::first-letter")}} <a href="/en-US/docs/Web/CSS/Pseudo-elements">pseudo-elements</a>.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;color&gt;")}}</dt>
 <dd>Optional. The color of the shadow. It can be specified either before or after the offset values. If unspecified, the color's value is left up to the user agent, so when consistency across browsers is desired you should define it explicitly.</dd>
 <dt><code>&lt;offset-x&gt; &lt;offset-y&gt;</code></dt>
 <dd>Required. These {{cssxref("&lt;length&gt;")}} values specify the shadow's distance from the text. <code>&lt;offset-x&gt;</code> specifies the horizontal distance; a negative value places the shadow to the left of the text. <code>&lt;offset-y&gt;</code> specifies the vertical distance; a negative value places the shadow above the text. If both values are <code>0</code>, the shadow is placed directly behind the text, although it may be partly visible due to the effect of <code>&lt;blur-radius&gt;</code>.</dd>
 <dt><code>&lt;blur-radius&gt;</code></dt>
 <dd>Optional. This is a {{cssxref("&lt;length&gt;")}} value. The higher the value, the bigger the blur; the shadow becomes wider and lighter. If not specified, it defaults to <code>0</code>.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Simple_shadow">Simple shadow</h3>

<div>
<pre class="brush: css notranslate">.red-text-shadow {
  text-shadow: red 0 -2px;
}</pre>

<pre class="brush: html notranslate">&lt;p class="red-text-shadow"&gt;Sed ut perspiciatis unde omnis iste
    natus error sit voluptatem accusantium doloremque laudantium,
    totam rem aperiam, eaque ipsa quae ab illo inventore.&lt;/p&gt;</pre>
</div>

<p>{{EmbedLiveSample('Simple_shadow', '660px', '90px')}}</p>

<h3 id="Multiple_shadows">Multiple shadows</h3>

<div>
<pre class="brush:css notranslate">.white-text-with-blue-shadow {
  text-shadow: 1px 1px 2px black, 0 0 1em blue, 0 0 0.2em blue;
  color: white;
  font: 1.5em Georgia, serif;
}</pre>

<pre class="brush: html notranslate">&lt;p class="white-text-with-blue-shadow"&gt;Sed ut perspiciatis unde omnis iste
    natus error sit voluptatem accusantium doloremque laudantium,
    totam rem aperiam, eaque ipsa quae ab illo inventore.&lt;/p&gt;</pre>
</div>

<p>{{EmbedLiveSample('Multiple_shadows', '660px', '170px')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Text Decoration', '#text-shadow-property', 'text-shadow')}}</td>
   <td>{{Spec2('CSS3 Text Decoration')}}</td>
   <td>The CSS property <code>text-shadow</code> was <a class="external" href="http://www.w3.org/TR/2008/REC-CSS2-20080411/text.html#text-shadow-props">improperly defined in CSS2</a> and dropped in CSS2 (Level 1). The CSS Text Module Level 3 spec refined the syntax. Later it was moved to <a href="https://www.w3.org/TR/css-text-decor-3/">CSS Text Decoration Module Level 3</a>.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.text-shadow")}}</p>

<h3 id="Quantum_CSS_notes">Quantum CSS notes</h3>

<ul>
 <li>Gecko has a bug whereby {{cssxref("transition")}}s will not work when transitioning from a <code>text-shadow</code> with a color specified to a <code>text-shadow</code> without a color specified ({{bug(726550)}}). This has been fixed in Firefox's new parallel CSS engine (also known as <a href="https://wiki.mozilla.org/Quantum">Quantum CSS</a> or <a href="https://wiki.mozilla.org/Quantum/Stylo">Stylo</a>, planned for release in Firefox 57).</li>
</ul>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("box-shadow")}}</li>
 <li>The {{cssxref("&lt;color&gt;")}} data type (for specifying the shadow color)</li>
 <li><a href="/en-US/docs/Web/HTML/Applying_color">Applying color to HTML elements using CSS</a></li>
</ul>
